<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>sdk</artifactId>
        <groupId>io.gisbi</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>sdk-bundle</artifactId>

    <dependencies>
        <!-- 依赖common模块 -->
        <dependency>
            <groupId>io.gisbi</groupId>
            <artifactId>common</artifactId>
            <version>2.0.0</version>
        </dependency>
        
        <!-- 依赖extensions模块 -->
        <dependency>
            <groupId>io.gisbi</groupId>
            <artifactId>extensions-datasource</artifactId>
            <version>2.0.0</version>
        </dependency>
        <dependency>
            <groupId>io.gisbi</groupId>
            <artifactId>extensions-view</artifactId>
            <version>2.0.0</version>
        </dependency>
        <dependency>
            <groupId>io.gisbi</groupId>
            <artifactId>extensions-datafilling</artifactId>
            <version>2.0.0</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <!-- Maven Assembly插件用于创建包含所有依赖的jar包 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>3.6.0</version>
                <configuration>
                    <descriptorRefs>
                        <descriptorRef>jar-with-dependencies</descriptorRef>
                    </descriptorRefs>
                    <archive>
                        <manifest>
                            <mainClass>io.gisbi.SdkBundle</mainClass>
                        </manifest>
                    </archive>
                </configuration>
                <executions>
                    <execution>
                        <id>make-assembly</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>